Summary: A lock file lister.
Name: lslk
Version: 1.29
Release: 12
License: Free
Group: Development/Debuggers
Source: ftp://vic.cc.purdue.edu/pub/tools/unix/lslk/lslk_%{version}_W.tar.gz
Patch0: lslk_1.29_W-misc.patch
Patch1: lslk_1.29_W-readlink.patch
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-root

%description
Lslk is a lock file lister.  Lslk attempts to list all of the locks on
the executing system's local files (i.e., on the active inodes).

Install lslk if you need a utility for listing file locks.

%prep
%setup -q -c -n lslk
tar xf lslk_%{version}.tar
[ -d lslk_%{version} ] && cd lslk_%{version}
%patch0 -p2 -b .misc
%patch1 -p2 -b .readlink

%build
[ -d lslk_%{version} ] && cd lslk_%{version}
./Configure -n linux
make CFGF=-DLINUXV=21131 DEBUG="$RPM_OPT_FLAGS"

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8

[ -d lslk_%{version} ] && cd lslk_%{version}
install -m 755 lslk ${RPM_BUILD_ROOT}%{_sbindir}
install lslk.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
# XXX should be mode 4755, but for now leave the setuid off
%attr(0755,root,kmem) %{_sbindir}/lslk
%{_mandir}/man*/*

%changelog
* Fri Sep 10 2004 Jindrich Novy <jnovy@redhat.com>
- fixed segfault #60866 - readlink patch

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 1.29-7
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Than Ngo <than@redhat.com> 1.29-5
- don't forcibly strip binaries

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 1.29-3
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Dec 19 2001 Than Ngo <than@redhat.com> 1.28-2
- update to 1.29
- it displays list local locks correct (bug #56611)
- Copyright->License

* Mon May 07 2001 Than Ngo <than@redhat.com>
- update to 1.28
- use RPM_OPT_FLAGS

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Wed Dec 22 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.25.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- remove setgid kmem "just in case".

* Tue Nov 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.19.

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- create.
- leave the setuid root off.
